<?php
	$seiten_id = 'univac';
	$version = '$Id: univac9400.php 294 2012-09-07 19:28:16Z heribert $';
	$title = 'UNIVAC mainframe computer, data center';
	
	require "../../lib/technikum29.php";
?>
    <h2>UNIVAC mainframe computer, data center</h2>

    <div class="box center" style="position:relative;">
        <!-- Direkt kopiert von deutscher Datei, siehe dort -->
       <div style="position:absolute; top:0px;"><img src="/shared/photos/rechnertechnik/univac/panorama-rechts.jpg" alt="Photography of the complete Univac 9400 installation" /></div>
        <div style="height: 387px;">&nbsp;</div>
    </div>

    <!-- old picture
    <p class="center">
       <img src="/shared/photos/start/univac9400.jpg" alt="Photography of Univac 9400" width="595" height="446" />
    </p>
    -->

    <ul class="univac-thumbs">
       <li><a href="/en/devices/univac9400/panorama.shtm" name="backlink-link" title="Big photography from the left hand"><img src="/shared/photos/rechnertechnik/univac/panorama-links.klein.jpg" alt="picture 1: Univac 9400 from the left" height="107" /></a></li>
       <li><a href="/en/devices/univac9400/frontpanel.shtm" name="backlink-frontpanel" title="big picture from the frontpanel"><img src="/shared/photos/rechnertechnik/univac/frontpanel.klein.jpg" alt="picture 2: Univac 9400 frontpanel" height="379" /></a></li>
       <li><a href="/en/devices/univac9400/console+uniservo.shtm" name="backlink-console" title="big picture showing the console/Uniservo"><img src="/shared/photos/rechnertechnik/univac//uniservo-12-16.klein.jpg" alt="picture 3: console und uniservo" height="165" /></a></li>
       <li><a href="/en/devices/univac9400/cardreader.shtm" name="backlink-cardreader" title="big picture showing the card reader"><img src="/shared/photos/rechnertechnik/univac/kartenleser.klein.jpg" alt="picture 4: card reader" height="178" /></a></li>
       <li><a href="/en/devices/univac9400/cardreader.shtm" name="backlink-cardreader2" title="big picture showing the card transporter (card reader)"><img src="/shared/photos/rechnertechnik/univac/kartentransport.klein.jpg" alt="picture 5: card transport in the card reader" height="318" /></a></li>
       <li><a href="/en/devices/univac9400/bandcontroller-lamps.shtm" name="backlink-bandcontroller" title="big picture showing the band controller"><img src="/shared/photos/rechnertechnik/univac/bandcontroller-laempchen.klein.jpg" alt="picture 6: indicator lights from the band controller" height="220" /></a></li>
       <li><a href="/en/devices/univac9400/discdrives.shtm" name="backlink-discdrives" title="big picture showing the disc drives"><img src="/shared/photos/rechnertechnik/univac/plattenlaufwerke.klein.jpg" alt="picture 7: disc drives" height="178" /></a></li>
       <li><a href="/en/devices/univac9400/highspeed-printer.shtm" name="backlink-highspeedprinter" title="big picture showing the Univac 9400 highspeed printer"><img src="/shared/photos/rechnertechnik/univac/schnelldrucker.klein.jpg" alt="picture 8: highspeed printer" height="232" /></a></li>
       <li><a href="/en/devices/univac9400/typical-board.shtm" name="backlink-board" title="big picture showing a typical board/module"><img src="/shared/photos/rechnertechnik/univac/typisches-board.klein.jpg" alt="picture 9: typical board" height="161" /></a></li>
       <li><a href="/en/computer/univac9200.shtm" name="backlink-univac9300" title="big picture showing the Univac 9300"><img src="/shared/photos/rechnertechnik/univac/univac9300klein.jpg" alt="picture 10: Univac 9300" height="127" /></a></li>
       <li><a href="/en/devices/univac9400/advertisement.shtm" name="backlink-advertisement" title="read an advertisement for the Univac 9400"><img src="/shared/photos/rechnertechnik/univac/werbung.klein.jpg" alt="picture 10: Univac 9400 advertising brochure" height="344" /></a></li>
    </ul>

    <!--
     !-
     !-  This page/version 5.5 is based on a translation
     !-  performed by Bernd Ulmann [www.vaxman.de]
     !-
     !- My translation is probably still readable at
     !-  www.technikum29.de/en/dev/preparation/univac9400.shtm
     !-
     !- v5.7.12: Panoramafoto, daher Bildteile als erstes vorgestellt,
     !- Ullmanntext aber gar nicht veraendert.
     !-->

      <p>The picture on top shows from right to left:</p>

      <ul>
          <li>the <a href="/en/devices/univac9400/frontpanel.shtm" title="see a detailed picture from the processor's frontpanel">main processor cabinet</a></li>
          <li>the <a href="/en/devices/univac9400/console+uniservo.shtm" title="read more about hte console and uniservo">system's console</a></li>
          <li>the Tape Control Unit</li>
          <li>UNISERVO 12</li><!--<li>a tape controller with two associated tape drives,</li>-->
          <li>UNISERVO 16</li>
          <li>UNISERVO 12</li>
          <li>the <a href="/en/devices/univac9400/discdrives.shtm" title="a big picture from the disc controller and disc drives">Disk Control Unit</a></li> <!-- disc controller-->
          <!--<li>two storage cabinets holding 128 kB each,</li>-->
          <li>the <a href="/en/devices/univac9400/highspeed-printer.shtm">high speed printer</a> of type 768</li> 
          <li><a href="/en/devices/univac9400/discdrives.shtm">two disk drives</a> of type 8425</li>
          <li>a <a href="/en/devices/univac9400/cardreader.shtm" title="further reading and viewing about the punchcard reader">punch card reader</a></li>
      </ul>

    <!-- ulmann text begins -->
    <p>This truly one-of-a-kind machine, a UNIVAC 9400 mainframe, is the heart of 
       one of the most impressive exhibitions of the museum. In the 1960s it was used
       in the computer center of an industrial complex located in Cologne. Following
       its replacement by new hardware, the system was given to a school in Cologne
       where it served for many years helping the computer science teachers.</p>

    <p>In September 2005 it found its final place in our museum. A regional German
       television program made a feature about the difficult transport of the machine
       from Cologne to the museum. This transport involved two trucks due to the sheer
       amount of equipment (a UNIVAC 9300 system was part of the transport as well)
       and its weight. We would like to thank UNISYS Germany for taking over the cost
       of this transport. </p>

    <p>Our UNIVAC 9400 is something special since it is operational (again) -
       only very few mainframes from this era are still in an operational condition
       due to the complexity and difficulties of maintainance and operation. This
       restoration was facilitated by the facts that our machine was in near mint
       condition when we got hold of it and it came with full documentation. Currently
       there are some minor hardware bugs which will be fixed in the near future.
       <br />The system on display is a stripped down version of the original setup
       due to space constraints in the museum. As a positive side effect this leaves many
       peripherals as spare parts ensuring the possibility to keep this machine up and
       running in the future.</p>

    <!-- alte Geraeteliste, urspruenglich von B.Ulmann uebersetzt, auf das alte Photo
         bezogen (/shared/photos/start/univac9400.jpg) -->
    <!--

      <div style="margin-left: 238px; padding-left: 50px;"><ul>
          <li>the <a href="/en/devices/univac9400/console+uniservo.shtm" title="read more about hte console and uniservo">system's console</a>,</li>
          <li>the <a href="/en/devices/univac9400/frontpanel.shtm" title="see a detailed picture from the processor's frontpanel">main processor cabinet</a>,</li>
          <li>two storage cabinets holding 128 kB each,</li>
          <li>a tape controller with two associated tape drives,</li>
          <li>a <a href="/en/devices/univac9400/discdrives.shtm" title="a big picture from the disc controller and disc drives">disk controller with two attached disk drives</a>,</li>
          <li>a <a href="/en/devices/univac9400/highspeed-printer.shtm">high speed printer</a> and, finally,</li> 
          <li>a <a href="/en/devices/univac9400/cardreader.shtm" title="further reading and viewing about the punchcard reader">punch card reader</a>.</li>
      </ul></div>
    -->

      <p>The UNIVAC 9000 series dates back to the mid 1960s. All machines
         from this series were implemented using small scale integrated
	 circuit (DTL technology, a predecessor of the well known TTL
	 chip family). All DTL chips used only contain a few simple gates -
	 mostly OR and NOR circuits. Much of the logic has been implemented
	 using silicon diodes which allowed the construction of large arrays
	 of AND gates.</p>

      <p>This makes our UNIVAC 9400 a member of the so called
         "third generation" (first generation being tube based, second
	 generation using discrete transistors).
	 <br />
         The members of the UNIVAC 9000 family were:</p>

         <!-- The following list is originally continous text... -->
     <ul class="justify">
	    <li>The UNIVAC 9200, a "powerful, card oriented electronic data
	    processing installation" with a memory capacity of up to 16 kB.</li>
	    <li>The UNIVAC 9300 featured tape and disk drives and could be
	    equipped with up to 32 kB of main memory (the museum has one of
	    this systems in storage).</li>
	    <li>Finally, the UNIVAC 9400 was sold in 1969 as a "flexible
	    tape and disk oriented computer system featuring multi
	    programming, real time capabilities and versatile possibilities
	    for data telecommunication". (The picture on the left shows an
	    "advertising brochure" for this system dating back to 1969.)</li>
	 </ul>

      <p>As in interesting note all systems of this series used a magnetic
         thin film memory, a then revolutionary development which,
	 unfortunately turned out to be the most error prone part of
	 these computers. One of the main advantages over
         then conventional core memory was the non-destructive read
	 out which allowed for shorter memory read cycle times.</p>
	 
      <p>Due to the insufficient reliability of this memory system the
         complete subsystem was eventually replaced by a even more modern
         semiconductor memory system using some of the first memory chips
	 made by INTEL. More than 1200 of these chips were necessary to
	 implement the 256 kB of our machine.</p>

      <p>Like many other mainframe systems the UNIVAC 9400 features a
         channel system for the connection of peripheral equipment. Slow
	 peripheral devices (like the punch card reader, printer, etc.)
	 are connected using multiplex channels while high speed devices
	 (like disks and tapes) are connected using selector channels.
	 These selector channels allow for transfer rates of up to
	 333 kB/s - a remarkably transfer rate for this time.</p>

      <p>The standard software for the UNIVAC 9400 included many
         libraries, an assembler and compilers for the languages FORTRAN
	 and COBOL. In addition to that a report generator
	 (comparable to IBM's RPG-II and RPG-III implementations) was
	 available to facilitate commercial data processing.</p>

      <p>One of the most impressive parts of a UNIVAC 9400 is the system
         console featuring literally hundreds of incandescent lights.
	 This makes it possible to monitor about 600 internal register
	 bits while operating and maintaining the machine. After working
	 with such a system for some time, the operating personnel got a
	 feeling for usual and unusual light patterns which helped a
	 great deal to track down bugs.</p>

      <!-- absatz hinzugekommen zu v5.7.5 -->
      <p>By now many programs started running again. For example you can
         make this mainframe create you an up-to-date chart for your
         personal bio-rhythm of the next four weeks. This time-consuming
         task is perfomed by an program written in COBOL.</p>

      <!-- absatz hinzugekommen zu v5.8BETA -->
      <p>The price of an UNIVAC mainframe system was incredibly high and
         approximate a chain of new cars with a length of 2,3 kilometers.
         <a class="go" href="/en/devices/univac9400/costs.shtm">Incredible:
         UNIVAC 9400 = 470 cars (Volkswagen beatle)</a></p>

      <!-- Absatz hinzugekommen/zuletzt geaendert 05.07.09 -->
      <div class="box right">
         <a href="http://www.unisys.com/"><img src="/shared/photos/rechnertechnik/unisys_tag.gif"  width="142" height="75" /></a>
         <p class="bildtext"><small>We would like to thank to the UNISYS
            Corporation for funding all trucking of the big machines.
            We would also like to thank Dr. J&uuml;rgen Steen from the
            <a href="http://www.historisches-museum.frankfurt.de/">Historical
            Museum Frankfurt</a> for lending several UNIVAC boards. Reparations
            are quite difficult without comparative boards.</small></p>
      </div>
